%include	/usr/lib/rpm/macros.python
%define		mod_name	python
%define 	apxs		/usr/sbin/apxs
Summary:	An embedded Python interpreter for the Apache Web server
Summary(cs):	Vestavn interpret Pythonu pro WWW server Apache
Summary(da):	En indbygget Python-fortolker for webtjeneren Apache
Summary(de):	Ein eingebetteter Python-Interpreter fr den Apache Web-Server
Summary(es):	Intrprete Perl para el servidor Web Apache
Summary(fr):	Interprteur Python intgr pour le serveur Web Apache
Summary(id):	Interpreter Perl untuk web server Apache
Summary(is):	Perl tlkur fyrir Apache vefjninn
Summary(it):	Interprete Python integrato per il server Web Apache
Summary(ja):	Apache Web СѤȹ Perl 󥿡ץ꥿
Summary(no):	En Python-fortolker for webtjeneren Apache
Summary(pl):	Wbudowany interpreter Pythona dla serwera WWW Apache
Summary(pt):	Um interpretador de Perl embebido para o servidor Web Apache
Summary(ru):	  Perl  WWW- Apache
Summary(sk):	Interpreter jazyka Perl pre webov server Apache
Summary(sl):	Vkljueni pythonski tolma za spletni strenik Apache
Summary(sv):	En inbyggd Python-interpretator fr webbservern Apache
Name:		apache-mod_%{mod_name}
Version:	2.7.7
Release:	1
License:	distributable
Group:		Networking/Daemons
Source0:	http://www.modpython.org/dist/mod_%{mod_name}-%{version}.tgz
Patch0:		apache-mod_python-shared.patch
Patch1:		apache-mod_python-DESTDIR.patch
Patch2:		apache-mod_python-Makefile-in.patch
URL:		http://www.modpython.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	apache-devel
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpm-pythonprov
BuildRequires:	%{apxs}
Prereq:		%{_sbindir}/apxs
Requires:	apache
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apache_moddir	%(%{apxs} -q LIBEXECDIR)

%description
Mod_python is a module that embeds the Python language interpreter
within the server, allowing Apache handlers to be written in Python.

Mod_python brings together the versatility of Python and the power of
the Apache Web server for a considerable boost in flexibility and
performance over the traditional CGI approach.


%description -l cs
Balek mod_python obsahuje modul, kter umon serveru Apache pmo
interpretovat CGI skripty napsan v jazyce Python. To vede k vraznmu
zven rychlosti jejich proveden.


%description -l de
Mod_python ist ein Modul, das den Python-Sprachinterpreter innerhalb
des Servers einbettet und es den Apache-Handlern ermglicht, in Python
geschrieben zu werden.

Mod_python verbindet die Vielseitigkeit von Python und die
Leistungsstrke des Apache Web-Servers, was eine enorme Steigerung der
Flexibilitt und Leistung gegenber dem traditionellen CGI-Ansatz
bedeutet.


%description -l es
Mod_python es un mdulo que activa el intrprete de Python en el
servidor, permitiendo que se escriban gestores para Apache en Python.

Mod_python proporciona la versatilidad y el poder del servidor web
Apache para acelerar considerablemente la flexibilidad y prestaciones
en comparacin a una aproximacin tradicional con CGI.


%description -l fr
Mod_python est un module qui intgre l'interprteur de langage Python
dans le serveur, permettant aux gestionnaires Apache d'tre crits en
Python.

Mod_python conjugue la versatilit de Python et la puissance du
serveur Web Apache de faon  augmenter considrablement la
flexibilit et la performance par rapport  une approche CGI
traditionnelle.


%description -l it
Mod_python  un modulo che integra nel server l'interprete del
linguaggio Python, in modo che i programmi di gestione possano essere
scritti in Python.

Mod_python unisce in s la versatilit di Python e la potenza del
server Web Apache, con un conseguente accrescimento di flessibilit e
un miglioramento notevole nelle prestazioni rispetto all'approccio
tradizionale CGI.


%description -l ja
Mod_python ϥС Python
쥤󥿡ץ꥿Ȥ߹⥸塼 ǤˤꡢApache
ϥɥ Python ǵҤǤޤ Mod_python ϡPython 
Apache Web СΥѥȤ߹碌 Ȥˤꡢ CGI
ץȥѥեޥ󥹤˸夵ޤ


%description -l pl
mod_python jest moduem osadzajcym interpreter jzyka Python w
serwerze WWW Apache, umoliwiajc mu obsug kodu napisanego w
Pythonie.

mod_python czy wszechstronno Pythona i moc Apache'a jako serwera
WWW, co daje zwikszon elastyczno i zauwaaln popraw wydajnoci w
stosunku do tradycyjnego rozwizania opartego na CGI.


%description -l sv
Mod_python r en modul som bygger in en interpretator fr sprket
Python i servern, och lter Apach-hanterare skrivas i Python.

Mod_python sammanfr mngsidigheten hos Python och kraften hos
webbservern Apache till en avsevrd kning av flexibiliteten och
prestandan jmfrt med den traditionella CGI-metoden.


%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
aclocal
%{__autoconf}

# new apache needs it
CFLAGS="-DEAPI %{rpmcflags}"
%configure \
	--with-apxs=%{apxs}

%{__make} dso

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apache_moddir},%{py_sitedir}/mod_%{mod_name}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README COPYRIGHT NEWS CREDITS

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/apxs -e -a -n %{mod_name} %{apache_moddir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n %{mod_name} %{apache_moddir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc doc-html/*
%doc {README,COPYRIGHT,NEWS,CREDITS}.gz
%attr(755,root,root) %{apache_moddir}/*
%{py_sitedir}/mod_%{mod_name}
